(function($){

	var server = 'https://itunes.apple.com/search?entity=musicVideo&';
	var $searchForm = $('#search');
	var allInfo = [];
	var $name = $('#name');
	var $songList = $('#song-list');
	var $panel = $('#panel');
	var $shortDescription = $('#short-info');
	var $videoPlace = $('#info');
	var $vidos = $('#video');


	$searchForm.on('submit', function(event){
		event.preventDefault();
		var request = $(this).find('[name="srch-term"]').val().replace(/\s/g, '+');
		getBook(request);
	});

	function getBook(request) {
		$.ajax({
			url: server,
			method: 'GET',
			data: 'term=' + request
		}).done(function(response) {

			$songList.empty();

			var val = JSON.parse(response); // преобразуем строку в обьект и записываем в переменную
			allInfo = val.results;          // записываем в массив значения обьекта 
			console.log(allInfo);

		var all = allInfo.filter(function(result){   // находим  имя 
			return result.trackId;
		})[1];
		console.log(all);
		$name.text(all.artistName);           // добавляем имя 

		$('<a>')
		.attr('href', all.artistViewUrl)
		.text('Read more about ' + all.artistName)
		.attr('target', '_blank')
		.addClass('pull-right links')
		.appendTo($name);

		allInfo.forEach(function(all){
			$('<a href="">')
				.addClass('list-group-item')
				.text(all.trackName)
				.attr('data-id', all.trackId)
				.appendTo($songList);
		})
		$panel.hide().fadeIn();
		$videoPlace.hide();
		}).fail(function(error) {
			console.log(error);
		});
	}

	$songList.on('click', '[data-id]', function(){
		event.preventDefault();
		$videoPlace.hide().fadeIn();

		var trackId = $(this).data('id');

		var track = allInfo.filter(function(result){
			return result.trackId === trackId;
		})[0];

		$shortDescription.text('Genre - ' + track.primaryGenreName + ' | ' + 'Track price - ' + track.collectionPrice + '  ' + track.currency);

		$vidos.attr('src', track.previewUrl);

		$('body,html').animate({scrollTop: 100}, 800);   // по клику уходим на верх
	})

})(jQuery);